/**
 *  OdetteJ - Open Source Odette FTP implementation in Java(TM).
 *  Copyright (C) 2005 Fossil E-Commerce, http://www.fossilec.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  ------------------------------------------------------------------------
 *  $Id: AbstractProperties.java,v 1.2 2005/08/15 16:45:06 rmarins Exp $
 *  ------------------------------------------------------------------------
 */

package org.fossilec.odettej;

import java.util.Properties;

import junit.framework.TestCase;

/**
 * 
 * @author Rafael Marins
 * @version $Revision: 1.2 $ $Date: 2005/08/15 16:45:06 $
 */
public class AbstractProperties extends TestCase {

	protected static final String PROPERTY_ONE_KEY = "Property1";

	protected static final String PROPERTY_ONE_VALUE = "Fossil E-Commerce";

	protected static final String PROPERTY_TWO_KEY = "Property2";

	protected static final String PROPERTY_TWO_VALUE = "OdetteJ";

	protected Properties properties;

	protected void setUp() throws Exception {
		super.setUp();

		properties = System.getProperties();

		properties.setProperty(PROPERTY_ONE_KEY, PROPERTY_ONE_VALUE);
		properties.setProperty(PROPERTY_TWO_KEY, PROPERTY_TWO_VALUE);
	}
}
